### Method

# Gio DBusObjectManagerServer set_connection

since: 2.30

#### Declaration

    void
    g_dbus_object_manager_server_set_connection (
      GDBusObjectManagerServer* manager,
      GDBusConnection* connection
    )

#### Description

Exports all objects managed by `manager` on `connection`. If `connection` is `NULL`, stops exporting objects.

Available since: 2.30

Sets property | `Gio.DBusObjectManagerServer:connection`

#### Parameters

`connection`

  Type: `GDBusConnection`

  A `GDBusConnection` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.